<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionQuestObjectiveTreasureHuntConfig Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/db7/a06549.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionQuestObjectiveTreasureHuntConfig Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionQuestObjectiveTreasureHuntConfig:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/db7/a06549.png" usemap="#ExpansionQuestObjectiveTreasureHuntConfig_map" alt=""/>
  <map id="ExpansionQuestObjectiveTreasureHuntConfig_map" name="ExpansionQuestObjectiveTreasureHuntConfig_map">
<area href="../../d4/d01/a06545.html" alt="ExpansionQuestObjectiveTreasureHuntConfigBase" shape="rect" coords="0,0,299,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a96f4a9626f2ee5761a5c4017e85d15f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/db7/a06549.html#a96f4a9626f2ee5761a5c4017e85d15f3">SetTreasureHunt</a> (<a class="el" href="../../d7/d62/a06505.html">ExpansionQuestObjectiveTreasureHunt</a> hunt)</td></tr>
<tr class="separator:a96f4a9626f2ee5761a5c4017e85d15f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1228ad9645a34bf43153dbf255bc181c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d7/d62/a06505.html">ExpansionQuestObjectiveTreasureHunt</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/db7/a06549.html#a1228ad9645a34bf43153dbf255bc181c">GetTreasureHunt</a> ()</td></tr>
<tr class="separator:a1228ad9645a34bf43153dbf255bc181c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d2cf1ddb6cc6af82a87a93653b0978"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/db7/a06549.html#af8d2cf1ddb6cc6af82a87a93653b0978">ShowDistance</a> ()</td></tr>
<tr class="separator:af8d2cf1ddb6cc6af82a87a93653b0978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c3b7bf83fa929753695b8957de4450c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/db7/a06549.html#a0c3b7bf83fa929753695b8957de4450c">Save</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> fileName)</td></tr>
<tr class="separator:a0c3b7bf83fa929753695b8957de4450c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23800e50a6f6c236e4a059db8b3e5ad3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/db7/a06549.html#a23800e50a6f6c236e4a059db8b3e5ad3">CopyConfig</a> (<a class="el" href="../../d4/d01/a06545.html">ExpansionQuestObjectiveTreasureHuntConfigBase</a> configBase)</td></tr>
<tr class="separator:a23800e50a6f6c236e4a059db8b3e5ad3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a879c7ceb8af7ffbc9e582ad807f44c86"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/db7/a06549.html#a879c7ceb8af7ffbc9e582ad807f44c86">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:a879c7ceb8af7ffbc9e582ad807f44c86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf95752d1390904d8d68f051f1c62775"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/db7/a06549.html#abf95752d1390904d8d68f051f1c62775">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:abf95752d1390904d8d68f051f1c62775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00cf1db0cd7183a8043903f13584dbae"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/db7/a06549.html#a00cf1db0cd7183a8043903f13584dbae">QuestDebug</a> ()</td></tr>
<tr class="separator:a00cf1db0cd7183a8043903f13584dbae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:ae8dc9eb418fa17965df252a0f7c6f8e3"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d3/db7/a06549.html">ExpansionQuestObjectiveTreasureHuntConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/db7/a06549.html#ae8dc9eb418fa17965df252a0f7c6f8e3">Load</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> fileName)</td></tr>
<tr class="separator:ae8dc9eb418fa17965df252a0f7c6f8e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/dc3/a02249_source.html#l00018">18</a> of file <a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a23800e50a6f6c236e4a059db8b3e5ad3" name="a23800e50a6f6c236e4a059db8b3e5ad3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23800e50a6f6c236e4a059db8b3e5ad3">&#9670;&#160;</a></span>CopyConfig()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveTreasureHuntConfig::CopyConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d01/a06545.html">ExpansionQuestObjectiveTreasureHuntConfigBase</a>&#160;</td>
          <td class="paramname"><em>configBase</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dc3/a02249_source.html#l00073">73</a> of file <a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a>.</p>

</div>
</div>
<a id="a1228ad9645a34bf43153dbf255bc181c" name="a1228ad9645a34bf43153dbf255bc181c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1228ad9645a34bf43153dbf255bc181c">&#9670;&#160;</a></span>GetTreasureHunt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d7/d62/a06505.html">ExpansionQuestObjectiveTreasureHunt</a> ExpansionQuestObjectiveTreasureHuntConfig::GetTreasureHunt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dc3/a02249_source.html#l00025">25</a> of file <a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a>.</p>

</div>
</div>
<a id="ae8dc9eb418fa17965df252a0f7c6f8e3" name="ae8dc9eb418fa17965df252a0f7c6f8e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8dc9eb418fa17965df252a0f7c6f8e3">&#9670;&#160;</a></span>Load()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d3/db7/a06549.html">ExpansionQuestObjectiveTreasureHuntConfig</a> ExpansionQuestObjectiveTreasureHuntConfig::Load </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>fileName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Copy over old configuration that haven't changed</p>

<p class="definition">Definition at line <a class="el" href="../../dd/dc3/a02249_source.html#l00035">35</a> of file <a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a>.</p>

</div>
</div>
<a id="abf95752d1390904d8d68f051f1c62775" name="abf95752d1390904d8d68f051f1c62775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf95752d1390904d8d68f051f1c62775">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionQuestObjectiveTreasureHuntConfig::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dc3/a02249_source.html#l00090">90</a> of file <a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a>.</p>

</div>
</div>
<a id="a879c7ceb8af7ffbc9e582ad807f44c86" name="a879c7ceb8af7ffbc9e582ad807f44c86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a879c7ceb8af7ffbc9e582ad807f44c86">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionQuestObjectiveTreasureHuntConfig::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dc3/a02249_source.html#l00083">83</a> of file <a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a>.</p>

</div>
</div>
<a id="a00cf1db0cd7183a8043903f13584dbae" name="a00cf1db0cd7183a8043903f13584dbae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00cf1db0cd7183a8043903f13584dbae">&#9670;&#160;</a></span>QuestDebug()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionQuestObjectiveTreasureHuntConfig::QuestDebug </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dc3/a02249_source.html#l00101">101</a> of file <a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a>.</p>

</div>
</div>
<a id="a0c3b7bf83fa929753695b8957de4450c" name="a0c3b7bf83fa929753695b8957de4450c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c3b7bf83fa929753695b8957de4450c">&#9670;&#160;</a></span>Save()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionQuestObjectiveTreasureHuntConfig::Save </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>fileName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dc3/a02249_source.html#l00068">68</a> of file <a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a>.</p>

</div>
</div>
<a id="a96f4a9626f2ee5761a5c4017e85d15f3" name="a96f4a9626f2ee5761a5c4017e85d15f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96f4a9626f2ee5761a5c4017e85d15f3">&#9670;&#160;</a></span>SetTreasureHunt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveTreasureHuntConfig::SetTreasureHunt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d62/a06505.html">ExpansionQuestObjectiveTreasureHunt</a>&#160;</td>
          <td class="paramname"><em>hunt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dc3/a02249_source.html#l00020">20</a> of file <a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a>.</p>

</div>
</div>
<a id="af8d2cf1ddb6cc6af82a87a93653b0978" name="af8d2cf1ddb6cc6af82a87a93653b0978"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8d2cf1ddb6cc6af82a87a93653b0978">&#9670;&#160;</a></span>ShowDistance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveTreasureHuntConfig::ShowDistance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dc3/a02249_source.html#l00030">30</a> of file <a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/systems/quests/questobjectiveconfigs/<a class="el" href="../../dd/dc3/a02249_source.html">expansionquestobjectivetreasurehuntconfig.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/db7/a06549.html">ExpansionQuestObjectiveTreasureHuntConfig</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
